// ==UserScript==
// @name         Gesamtkosten Sparhandy
// @namespace    http://tampermonkey.net/
// @version      0.4
// @description  Berechnet die Gesamtkosten der Verträge auf sparhandy.de
// @author       Jan Bader <jan@javil.eu>
// @match        http://www.sparhandy.de/*
// @updateUrl    https://git.javil.eu/jacob1123/userscripts/raw/master/total-cost.sparhandy.user.js
// @grant        GM_addStyle
// ==/UserScript==

(function() {
    'use strict';
    jQuery(".tarife_box").each(
        function(i, tarif) {
            if(jQuery(tarif).data('gesamt') !== undefined)
                return;

            var details = jQuery(tarif).find(".tarifbox_details");
            var grundgebuehr_text = jQuery(details).find("li").first().text();
            var grundgebuehr = parseFloat(grundgebuehr_text.split("€")[1].replace(',', '.'));
            grundgebuehr = Math.round(grundgebuehr, 2);
            jQuery(tarif).data("monatlich", grundgebuehr);

            var detailslink = jQuery(tarif).find(".detailslink").text();
            var anzahlung = parseFloat(detailslink.split("Ab")[1].replace(',', '.'));
            anzahlung = Math.round(anzahlung, 2);
            jQuery(tarif).data("geraet", anzahlung);
            var gesamt = grundgebuehr * 24 + anzahlung;
            jQuery(tarif).data("gesamt", gesamt);

            jQuery(tarif).css("height", "360px");
            jQuery(tarif).css("display", "inline");
            jQuery(tarif).css("margin-right", "10px");

            var header = jQuery(tarif).find(".tarife_box_header").text().replace(/^\s+|\s+$/g, '');
            var info = (grundgebuehr * 24) + " + " + anzahlung + " = " + gesamt;
            details.append("<li>"+info+"</li>");
            console.log(header + ": " + info);
        }
    );
    jQuery(jQuery('.ueberschrift_rot')[1]).after("<div id=\"tarif_list\"></div>");
    jQuery('.tarife_box').sort(function(a,b) {
        var valA = $(a).data('gesamt');
        var valB = $(b).data('gesamt');
        return (valA < valB) ? -1 : (valA > valB) ? 1 : 0;
    }).appendTo('#tarif_list');
})();
